import 'package:json_annotation/json_annotation.dart';

import '../../bean/character_info.dart';


part 'new_user_get_character_response.g.dart';

@JsonSerializable()
class NewUserGetCharacterResponse {

  @JsonKey(name: "characterInfos")
  late final List<CharacterInfo> characterInfo;

  NewUserGetCharacterResponse({ required this.characterInfo});

  factory NewUserGetCharacterResponse.fromJson(Map<String, dynamic> json) =>
      _$NewUserGetCharacterResponseFromJson(json);
}
